---
updatedAt: 2025-11-10T23:56:39.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Bank Code

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "quickteller-service-send-money",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com/quicktellerservice/api/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/configuration/fundstransferbanks": {
      "get": {
        "summary": "Bank Code",
        "description": "",
        "operationId": "get-bank-code",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "TerminalID",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\t\"banks\": [{\n\t\t\t\"id\": \"31\",\n\t\t\t\"cbnCode\": \"044\",\n\t\t\t\"bankName\": \"Access Bank Nigeria Plc\",\n\t\t\t\"bankCode\": \"ABP\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"101\",\n\t\t\t\"cbnCode\": \"056\",\n\t\t\t\"bankName\": \"Ecobank Nigeria 2\",\n\t\t\t\"bankCode\": \"ECO2\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"128\",\n\t\t\t\"cbnCode\": \"085\",\n\t\t\t\"bankName\": \"First Inland Bank Plc\",\n\t\t\t\"bankCode\": \"FIB\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"10\",\n\t\t\t\"cbnCode\": \"058\",\n\t\t\t\"bankName\": \"Guaranty Trust Bank Plc\",\n\t\t\t\"bankCode\": \"GTB\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"121\",\n\t\t\t\"cbnCode\": \"232\",\n\t\t\t\"bankName\": \"Sterling Bank Plc\",\n\t\t\t\"bankCode\": \"SBP\"\n\t\t},\n\t\t{\n\t\t\t\"id\": \"117\",\n\t\t\t\"cbnCode\": \"057\",\n\t\t\t\"bankName\": \"Zenith Bank International\",\n\t\t\t\"bankCode\": \"ZIB\"\n\t\t}\n\t]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "banks": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "31"
                          },
                          "cbnCode": {
                            "type": "string",
                            "example": "044"
                          },
                          "bankName": {
                            "type": "string",
                            "example": "Access Bank Nigeria Plc"
                          },
                          "bankCode": {
                            "type": "string",
                            "example": "ABP"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl http://172.25.20.59/quicktellerservice/api/v5/configuration/fundstransferbanks \\\n-H \"Authorization: Bearer <TOKEN>\" \\\n-H \"Content-Type: application/json\" \\\n-H \"TerminalID: <your_terminal_id>\" \\\n-X GET"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```